﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication17
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Data> data = new ObservableCollection<Data>();
            
            data.Add(new Data { Name = "Jone" });
            data.Add(new Data { Name = "Mark" });
            data.Add(new Data { Name = "Luke" });

            this.xamDataGrid1.DataSource = data;
        }
    }

    public class Data
    {
        public string Name { get; set; }
    }
}
